Bug 1673681 - CVE-2019-6974 kernel: KVM: potential use-after-free via kvm_ioctl_create_device() [fedora-all]
Summary: CVE-2019-6974 kernel: KVM: potential use-after-free via kvm_ioctl_create_devi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1673677 (view as bug list)
Depends On:
Blocks: CVE-2019-6974
TreeView+ depends on / blocked
 
Reported: 2019-02-07 18:50 UTC by Prasad J Pandit
Modified: 2019-02-16 01:57 UTC (History)
16 users (show)

Fixed In Version: kernel-4.20.8-100.fc28 kernel-4.20.8-200.fc29
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-16 01:24:35 UTC
Type: ---


Attachments (Terms of Use)

Description Prasad J Pandit 2019-02-07 18:50:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Justin M. Forbes 2019-02-07 20:10:43 UTC
*** Bug 1673677 has been marked as a duplicate of this bug. ***

Comment 2 Fedora Update System 2019-02-13 22:27:04 UTC
kernel-headers-4.20.8-200.fc29 kernel-4.20.8-200.fc29 kernel-tools-4.20.8-200.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-164946aa7f

Comment 3 Fedora Update System 2019-02-13 22:28:15 UTC
kernel-headers-4.20.8-100.fc28 kernel-4.20.8-100.fc28 kernel-tools-4.20.8-100.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3da64f3e61

Comment 4 Fedora Update System 2019-02-14 01:32:26 UTC
kernel-4.20.8-100.fc28, kernel-headers-4.20.8-100.fc28, kernel-tools-4.20.8-100.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3da64f3e61

Comment 5 Fedora Update System 2019-02-14 02:35:06 UTC
kernel-4.20.8-200.fc29, kernel-headers-4.20.8-200.fc29, kernel-tools-4.20.8-200.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-164946aa7f

Comment 6 Fedora Update System 2019-02-16 01:24:35 UTC
kernel-4.20.8-100.fc28, kernel-headers-4.20.8-100.fc28, kernel-tools-4.20.8-100.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-02-16 01:57:19 UTC
kernel-4.20.8-200.fc29, kernel-headers-4.20.8-200.fc29, kernel-tools-4.20.8-200.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.